#!/bin/sh

# export OPENVINO_MODELFP=FP32
# export OPENVINO_DEVICE=CPU

if [ -z "$OPENVINO_MODELFP" ]; then
    OPENVINO_MODELFP='FP32'
fi
if [ -z "$OPENVINO_DEVICE" ]; then
    OPENVINO_DEVICE='CPU'
fi

PROG_NAME='benchmark_app'
RUN_DIR="$HOME/inference_engine_samples_build/intel64/Release/"
MODEL_FILE="$HOME/model/public/$OPENVINO_MODELFP/squeezenet1.1.xml"

echo [$PROG_NAME.sh] \'$PROG_NAME\' Run !!
cd $RUN_DIR

echo "  DEVICE:  $OPENVINO_DEVICE"
echo "  COMMAND: ./$PROG_NAME -d $OPENVINO_DEVICE -m $MODEL_FILE -pc -niter 1000\n"

./$PROG_NAME -d $OPENVINO_DEVICE -m $MODEL_FILE -pc -niter 1000
