#!/bin/sh

# export OPENVINO_MODELFP=FP32
# export OPENVINO_DEVICE=CPU

if [ -z "$OPENVINO_MODELFP" ]; then
    OPENVINO_MODELFP='FP32'
fi
if [ -z "$OPENVINO_DEVICE" ]; then
    OPENVINO_DEVICE='CPU'
fi

PROG_NAME='deblurring_demo'
RUN_DIR="$HOME/omz_demos_python/deblurring_demo/python/"
if [ ! -e $RUN_DIR ]; then
    RUN_DIR="/opt/intel/openvino_2021/deployment_tools/open_model_zoo/demos/deblurring_demo/python/"
fi

DEF_FILE="$HOME/Images/deblurred_image.png"
MODEL_FILE1="$HOME/model/public/$OPENVINO_MODELFP/deblurgan-v2.xml"

echo [$PROG_NAME.sh] \'$PROG_NAME\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
fi

echo "  MODEL:   $OPENVINO_MODELFP"
echo "  DEVICE:  $OPENVINO_DEVICE"
echo "  COMMAND: python3 $PROG_NAME.py -m $MODEL_FILE1 $INPUT_PREF $INPUT_FILE --loop -d $OPENVINO_DEVICE\n"

python3 $PROG_NAME.py -m $MODEL_FILE1 $INPUT_PREF $INPUT_FILE --loop -d $OPENVINO_DEVICE

