#!/bin/sh

# export OPENVINO_MODELFP=FP32
# export OPENVINO_DEVICE=CPU

if [ -z "$OPENVINO_MODELFP" ]; then
    OPENVINO_MODELFP='FP32'
fi
if [ -z "$OPENVINO_DEVICE" ]; then
    OPENVINO_DEVICE='CPU'
fi

PROG_NAME='handwritten_text_recognition_demo'
RUN_DIR="$HOME/omz_demos_python/handwritten_text_recognition_demo/python/"
if [ ! -e $RUN_DIR ]; then
    RUN_DIR="/opt/intel/openvino_2021/deployment_tools/open_model_zoo/demos/handwritten_text_recognition_demo/python/"
fi

DEF_FILE="./data/handwritten_japanese_test.png"
MODEL_FILE="$HOME/model/intel/$OPENVINO_MODELFP/handwritten-japanese-recognition-0001.xml"

echo [$PROG_NAME.sh] \'$PROG_NAME\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
fi

echo "  MODEL:   $OPENVINO_MODELFP"
echo "  DEVICE:  $OPENVINO_DEVICE"
echo "  COMMAND: python3 $PROG_NAME.py $INPUT_PREF $INPUT_FILE -m $MODEL_FILE -d $OPENVINO_DEVICE\n"

python3 $PROG_NAME.py $INPUT_PREF $INPUT_FILE -m $MODEL_FILE -d $OPENVINO_DEVICE

