#!/bin/sh

# ./_image_inpainting.sh                                     >>> sample randum paint
# ./_image_inpainting.sh ~/Images/car_m.jpg                  >>> randum paint
# ./_image_inpainting.sh ~/Images/car_m.jpg 1                >>> hand draw paint
# ./_image_inpainting.sh ~/Images/car_pr_m.jpg 255 255 255   >>> image color paint

# export OPENVINO_MODELFP=FP32
# export OPENVINO_DEVICE=CPU

if [ -z "$OPENVINO_MODELFP" ]; then
    OPENVINO_MODELFP='FP32'
fi
if [ -z "$OPENVINO_DEVICE" ]; then
    OPENVINO_DEVICE='CPU'
fi

PROG_NAME='image_inpainting_demo'
RUN_DIR="$HOME/omz_demos_python/image_inpainting_demo/python/"
if [ ! -e $RUN_DIR ]; then
    RUN_DIR="/opt/intel/openvino_2021/deployment_tools/open_model_zoo/demos/image_inpainting_demo/python/"
fi

DEF_FILE="$HOME/Images/car_m.jpg"
MODEL_FILE1="$HOME/model/public/$OPENVINO_MODELFP/gmcnn-places2-tf.xml"

echo [$PROG_NAME.sh] \'$PROG_NAME\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
PROS_MODE='-ar'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
elif [ $# = 2 ]
then
    INPUT_FILE=$1
    PROS_MODE=''
elif [ $# = 4 ]
then
    INPUT_FILE=$1
    PROS_MODE="-ac $2 $3 $4"
fi

echo "  MODEL:   $OPENVINO_MODELFP"
echo "  DEVICE:  $OPENVINO_DEVICE"
echo "  COMMAND: python3 $PROG_NAME.py -m $MODEL_FILE1 $INPUT_PREF $INPUT_FILE $PROS_MODE -d $OPENVINO_DEVICE\n"

python3 $PROG_NAME.py -m $MODEL_FILE1 $INPUT_PREF $INPUT_FILE $PROS_MODE -d $OPENVINO_DEVICE

