#!/bin/sh

# export OPENVINO_MODELFP=FP32
# export OPENVINO_DEVICE=CPU

if [ -z "$OPENVINO_MODELFP" ]; then
    OPENVINO_MODELFP='FP32'
fi
if [ -z "$OPENVINO_DEVICE" ]; then
    OPENVINO_DEVICE='CPU'
fi

PROG_NAME='pedestrian_tracker_demo'
RUN_DIR="$HOME/omz_demos_build/intel64/Release/"
DEF_FILE="$HOME/Videos/video003_m.mp4"
MODEL_FILE1="$HOME/model/intel/$OPENVINO_MODELFP/person-detection-retail-0013.xml"
MODEL_FILE2="$HOME/model/intel/$OPENVINO_MODELFP/person-reidentification-retail-0288.xml"

echo [$PROG_NAME.sh] \'$PROG_NAME\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
    if [ $1 = 'cam' ]
    then
        INPUT_FILE='0'
    fi
fi

echo "  MODEL:   $OPENVINO_MODELFP"
echo "  DEVICE:  $OPENVINO_DEVICE"
echo "  COMMAND: ./$PROG_NAME -loop $INPUT_PREF $INPUT_FILE -m_det $MODEL_FILE1 -m_reid $MODEL_FILE2 -d_det $OPENVINO_DEVICE -d_reid $OPENVINO_DEVICE\n"

./$PROG_NAME -loop $INPUT_PREF $INPUT_FILE -m_det $MODEL_FILE1 -m_reid $MODEL_FILE2 -d_det $OPENVINO_DEVICE -d_reid $OPENVINO_DEVICE

