#!/bin/sh

# export OPENVINO_MODELFP=FP32
# export OPENVINO_DEVICE=CPU

if [ -z "$OPENVINO_MODELFP" ]; then
    OPENVINO_MODELFP='FP32'
fi
if [ -z "$OPENVINO_DEVICE" ]; then
    OPENVINO_DEVICE='CPU'
fi

PROG_NAME='security_barrier_camera_demo'
RUN_DIR="$HOME/omz_demos_build/intel64/Release/"
DEF_FILE="$HOME/Videos/car-detection.mp4"
MODEL_FILE1="$HOME/model/intel/$OPENVINO_MODELFP/vehicle-license-plate-detection-barrier-0106.xml"
MODEL_FILE2="$HOME/model/intel/$OPENVINO_MODELFP/vehicle-attributes-recognition-barrier-0039.xml"
MODEL_FILE3="$HOME/model/intel/$OPENVINO_MODELFP/license-plate-recognition-barrier-0001.xml"

echo [$PROG_NAME.sh] \'$PROG_NAME\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
    if [ $1 = 'cam' ]
    then
        INPUT_FILE='0'
    fi
fi

echo "  MODEL:   $OPENVINO_MODELFP"
echo "  DEVICE:  $OPENVINO_DEVICE"
echo "  COMMAND: ./$PROG_NAME $INPUT_PREF $INPUT_FILE -m $MODEL_FILE1 -m_va $MODEL_FILE2 -m_lpr $MODEL_FILE3 -d $OPENVINO_DEVICE -d_va $OPENVINO_DEVICE -d_lpr $OPENVINO_DEVICE\n"

./$PROG_NAME $INPUT_PREF $INPUT_FILE -m $MODEL_FILE1 -m_va $MODEL_FILE2 -m_lpr $MODEL_FILE3 -d $OPENVINO_DEVICE -d_va $OPENVINO_DEVICE -d_lpr $OPENVINO_DEVICE

