#!/bin/sh

# export OPENVINO_MODELFP=FP32
# export OPENVINO_DEVICE=CPU

if [ -z "$OPENVINO_MODELFP" ]; then
    OPENVINO_MODELFP='FP32'
fi
if [ -z "$OPENVINO_DEVICE" ]; then
    OPENVINO_DEVICE='CPU'
fi

PROG_NAME='single_human_pose_estimation_demo'
RUN_DIR="$HOME/omz_demos_python/single_human_pose_estimation_demo/python/"
if [ ! -e $RUN_DIR ]; then
    RUN_DIR="/opt/intel/openvino_2021/deployment_tools/open_model_zoo/demos/single_human_pose_estimation_demo/python/"
fi

DEF_FILE="$HOME/Videos/person_m.mp4"
MODEL_FILE1="$HOME/model/public/$OPENVINO_MODELFP/mobilenet-ssd.xml"
MODEL_FILE2="$HOME/model/public/$OPENVINO_MODELFP/single-human-pose-estimation-0001.xml"
LABEL_FILE='driver_actions.txt'

echo [$PROG_NAME.sh] \'$PROG_NAME\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
    if [ $1 = 'cam' ]
    then
        INPUT_FILE='0'
    fi
fi

echo "  MODEL:   $OPENVINO_MODELFP"
echo "  DEVICE:  $OPENVINO_DEVICE"
echo "  COMMAND: python3 $PROG_NAME.py -m_od $MODEL_FILE1 -m_hpe $MODEL_FILE2 $INPUT_PREF $INPUT_FILE -d $OPENVINO_DEVICE\n"

python3 $PROG_NAME.py -m_od $MODEL_FILE1 -m_hpe $MODEL_FILE2 $INPUT_PREF $INPUT_FILE -d $OPENVINO_DEVICE

