#!/bin/sh

# export OPENVINO_MODELFP=FP32
# export OPENVINO_DEVICE=CPU

if [ -z "$OPENVINO_MODELFP" ]; then
    OPENVINO_MODELFP='FP32'
fi
if [ -z "$OPENVINO_DEVICE" ]; then
    OPENVINO_DEVICE='CPU'
fi

PROG_NAME='super_resolution_demo'
RUN_DIR="$HOME/omz_demos_build/intel64/Release/"
DEF_FILE="$HOME/Images/image-low.bmp"
MODEL_FILE="$HOME/model/intel/$OPENVINO_MODELFP/single-image-super-resolution-1032.xml"

echo [$PROG_NAME.sh] \'$PROG_NAME\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
fi

echo "  MODEL:   $OPENVINO_MODELFP"
echo "  DEVICE:  $OPENVINO_DEVICE"
echo "  COMMAND: ./$PROG_NAME $INPUT_PREF $INPUT_FILE -m $MODEL_FILE -show true -d $OPENVINO_DEVICE\n"

./$PROG_NAME $INPUT_PREF $INPUT_FILE -m $MODEL_FILE -show true -d $OPENVINO_DEVICE

