#!/bin/sh

# export OPENVINO_MODELFP=FP32
# export OPENVINO_DEVICE=CPU

if [ -z "$OPENVINO_MODELFP" ]; then
    OPENVINO_MODELFP='FP32'
fi
if [ -z "$OPENVINO_DEVICE" ]; then
    OPENVINO_DEVICE='CPU'
fi

echo [object_detect_yolo3_2.sh] 'object_detect_yolo3_2.py' Run !!
cd ~/workspace/apps/

OPTION1='object_detect_yolo3_2.py'
OPTION2='--ir'
OPTION3="$HOME/model/public/$OPENVINO_MODELFP/yolo-v3-tiny-tf.xml"
OPTION4=
OPTION5=
OPTION6='-i'

if [ $# = 0 ]
then
    OPTION7="$HOME/Videos/car.mp4"
elif [ $# = 1 ]
then
    OPTION7=$1
elif [ $# = 2 ]
then
    OPTION7=$1   
    OPTION8='-o'
    OPTION9=$2
fi

echo program : $OPTION1
echo model1. : $OPTION2 $OPTION3
echo model2. : $OPTION4 $OPTION5
echo device. : $OPENVINO_DEVICE
echo input.. : $OPTION6 $OPTION7
echo output. : $OPTION8 $OPTION9

echo "  MODEL:   $OPENVINO_MODELFP"
echo "  DEVICE:  $OPENVINO_DEVICE"
echo "  COMMAND: python3 $OPTION1 $OPTION2 $OPTION3 $OPTION4 $OPTION5 $OPTION6 $OPTION7 $OPTION8 $OPTION9 -d $OPENVINO_DEVICE\n"

python3 $OPTION1 $OPTION2 $OPTION3 $OPTION4 $OPTION5 $OPTION6 $OPTION7 $OPTION8 $OPTION9 -d $OPENVINO_DEVICE
