#!/bin/sh

# export OPENVINO_MODELFP=FP32
# export OPENVINO_DEVICE=CPU

if [ -z "$OPENVINO_MODELFP" ]; then
    OPENVINO_MODELFP='FP32'
fi
if [ -z "$OPENVINO_DEVICE" ]; then
    OPENVINO_DEVICE='CPU'
fi

echo [sentiment_analysis2.sh] 'sentiment_analysis2.py' Run !!
cd ~/workspace/apps/

OPTION1='sentiment_analysis2.py'
OPTION2='-m_dt'
OPTION3="$HOME/model/intel/$OPENVINO_MODELFP/face-detection-retail-0004.xml"
OPTION4='-m_re'
OPTION5="$HOME/model/intel/$OPENVINO_MODELFP/emotions-recognition-retail-0003.xml"
OPTION6='-i'

if [ $# = 0 ]
then
    OPTION7="$HOME/Images/emo2.jpg"
elif [ $# = 1 ]
then
    OPTION7=$1
elif [ $# = 2 ]
then
    OPTION7=$1   
    OPTION8='-o'
    OPTION9=$2
fi

echo program : $OPTION1
echo model1. : $OPTION2 $OPTION3
echo model2. : $OPTION4 $OPTION5
echo device. : $OPENVINO_DEVICE
echo input.. : $OPTION6 $OPTION7
echo output. : $OPTION8 $OPTION9

echo "  MODEL:   $OPENVINO_MODELFP"
echo "  DEVICE:  $OPENVINO_DEVICE"
echo "  COMMAND: python3 $OPTION1 $OPTION2 $OPTION3 $OPTION4 $OPTION5 -d $OPENVINO_DEVICE $OPTION6 $OPTION7 $OPTION8 $OPTION9\n"

python3 $OPTION1 $OPTION2 $OPTION3 $OPTION4 $OPTION5 -d $OPENVINO_DEVICE $OPTION6 $OPTION7 $OPTION8 $OPTION9
